WARNING CANNOT MODIFY HEADER INFORMATION

Ошибка wordpress WARNING: CANNOT MODIFY HEADER INFORMATION

Всем приWARNING: CANNOT MODIFY HEADER INFORMATIONвет. До вчерашнего дня, я не имел честь столкнуться с одной мерзкой и вонючей проблемой:-). Устанавливал wordpress много раз, и все время без проблем. А вот вчера меня ждал сюрприз. Мало того, что с новым блогом не везло, то старый хост отправлял нас к ошибке 500, то тема не подходила….в общем.

Решили перенести домен на другой хостинг и начать работать. DNS обновился, домен перенесли и тут…после установки wordpress версии 3.4.2 вылезает такая ошибка.

Warning: Cannot modify header information – headers already sent by (output started at /home/rafaelat/public_html/wp-login.php:1) in /home/rafaelat/public_html/wp-login.php on line 362

Если вы устанавливали wordpress, то знаете, что только один файл меняется вручную в папке wordpress, а именно wp-config.php. Я все время менял его обычным блокнотом, то есть вписывал имя пользователя, БД и пароль. И тут бац, ошибка.

Порылся в интернете, оказалось, что проблема частая. И она начинается именно после ручной правки файлов или же, если допущена ошибка. Во многих сайтах советовали предпринять следующие шаги.

  1. Открыть проблемный файл, используя программы PSpad, Notepad++ и им подобные.
  2. Сохранить файл в кодировке UTF-8 без метки BOM и перезалить. Не факт, что это поможет, так как или я был в танке и делал все наоборот, или просто не везло.

В результате, пришлось удалить версию 3.4.2 полностью и установить 3.5.1, который по скорости работы сможет обогнать даже черепаху.

Добавить комментарий

Ваш e-mail не будет опубликован.

19 − 12 =

Можно использовать следующие HTML-теги и атрибуты: <a href="" title=""> <abbr title=""> <acronym title=""> <b> <blockquote cite=""> <cite> <code> <del datetime=""> <em> <i> <q cite=""> <s> <strike> <strong>